db4o |

# StoredClass Methods

The methods of the StoredClass interface are listed below. For a complete list of StoredClass interface members, see the StoredClass Members topic.

#### Public Instance Methods

GetIDs | returns an array of IDs of all stored object instances of this stored class.
GetName | returns the name of this stored class.
GetParentStoredClass | returns the StoredClass for the parent of the class, this StoredClass represents.
GetStoredFields | returns all stored fields of this stored class.
Rename | renames this stored class.
StoredField | returns an existing stored field of this stored class.

#### See Also

StoredClass Interface | com.db4o.ext Namespace